## org.apache.fop.pdf
Class PDFWArray

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFWArray

public class PDFWArray
extends java.lang.Object

class representing a W array for CID fonts.

Constructor Summary
`PDFWArray()`

Method Summary
`void` `addEntry(int start, int[] metrics)` add an entry for single starting CID.
`void` `addEntry(int first, int last, int width)` add an entry for a range of CIDs (/W element on p 213)
`void` `addEntry(int first, int last, int width, int posX, int posY)` add an entry for a range of CIDs (/W2 element on p 210)
`byte[]` `toPDF()`
`java.lang.String` `toPDFString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFWArray

    public PDFWArray()

Method Detail

### addEntry

    public void addEntry(int start,
                         int[] metrics)

  add an entry for single starting CID. i.e. in the form "c [w ...]"
  Parameters:
    `start` - the starting CID value.
    `metrics` - the metrics array.

### addEntry

    public void addEntry(int first,
                         int last,
                         int width)

  add an entry for a range of CIDs (/W element on p 213)
  Parameters:
    `first` - the first CID in the range
    `last` - the last CID in the range
    `width` - the width for all CIDs in the range

### addEntry

    public void addEntry(int first,
                         int last,
                         int width,
                         int posX,
                         int posY)

  add an entry for a range of CIDs (/W2 element on p 210)
  Parameters:
    `first` - the first CID in the range
    `last` - the last CID in the range
    `width` - the width for all CIDs in the range
    `posX` - the x component for the vertical position vector
    `posY` - the y component for the vertical position vector

### toPDF

    public byte[] toPDF()

### toPDFString

    public java.lang.String toPDFString()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.